Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Interface ISyncProvider

public interface ISyncProvider

An interface that provides user and group synchronization functionality against a remote system.

The ISyncProvider interface will change in the next release of the Plumtree EDK with the addition of a new method to the interface. The new method, `shutdown()`, will be called at the end of a synchronization job. Existing AWS implementations that upgrade to the new EDK will need to be re-compiled. The only required change will be to add an implementation of the `shutdown` method. This method does not need to do anything, but can be used to free any resources accumulated during the synchronization process. If you choose not to upgrade, synchronization jobs will continue to work without the `shutdown()` method.

Method Summary
`IGroup` | `attachToGroup(java.lang.String groupID)` Gets an `IGroup` object used to query for groups and users contained within the specified group.
`SyncObjectList` | `getGroups()` Returns a `SyncObjectList` object with an array of `SyncObject`s inside representing groups.
`SyncObjectList` | `getUsers()` Returns a `SyncObjectList` object with an array of `SyncObject`s inside representing users.
`boolean` | `initialize(SyncInfo syncInfo)` Initializes the synchronization provider using the information configured in the portal by the administrator.
`void` | `reset()` Called when an `IGroup` is done with any queries for subusers and subgroups.

Method Detail

### getGroups

    public SyncObjectList getGroups()
                             throws ServiceException

  Returns a `SyncObjectList` object with an array of `SyncObject`s inside representing groups. The portal will continue calling `getGroups` until it receives a `SyncObjectList` with the `isDone` flag set to true. If the `ISyncProvider` implementation returns these `SyncObject`s in batches, it must maintain state internally and return `isDone=false` until the last batch.

  Returns:
    a `SyncObjectList` object containing `SyncObject`s that represent groups
  Throws:
    `ServiceException` - if an error occurred
  See Also:
    `SyncObjectList`, `SyncObject.createGroup(String, String)`

### getUsers

    public SyncObjectList getUsers()
                            throws ServiceException

  Returns a `SyncObjectList` object with an array of `SyncObject`s inside representing users. The portal will continue calling `getUsers` until it receives a `SyncObjectList` with the `isDone` flag set to true. If the `ISyncProvider` implementation returns these `SyncObject`s in batches, it must maintain state internally and return `isDone=false` until the last batch.

  Returns:
    a `SyncObjectList` object containing `SyncObject`s that represent users
  Throws:
    `ServiceException` - if an error occurred
  See Also:
    `SyncObjectList`, `SyncObject.createUser(String, String, String)`

### attachToGroup

    public IGroup attachToGroup(java.lang.String groupID)
                         throws ServiceException

  Gets an `IGroup` object used to query for groups and users contained within the specified group.

  Parameters:
    `groupID` - the string ID of the group to query
  Returns:
    an instance of the implementation of the `IGroup` interface
  Throws:
    `ServiceException` - if an error occurred

### initialize

    public boolean initialize(SyncInfo syncInfo)
                       throws ServiceException

  Initializes the synchronization provider using the information configured in the portal by the administrator.

  Parameters:
    `syncInfo` - the data set in the portal's SCI editors. Note that the names in the `NamedValue`s in syncInfo will be uppercase.
  Returns:
    true if initialization succeeded, false otherwise
  Throws:
    `ServiceException` - if an error occurred

### reset

    public void reset()
               throws ServiceException

  Called when an `IGroup` is done with any queries for subusers and subgroups. Used to clean up state management. This method is generally not required for synchronization against a version 5.0 portal.

  Throws:
    `ServiceException` - if an error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.